Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.samples.JavaPurse
Class JavaPurse

    java.lang.Object
      javacard.framework.Applet
          com.licel.jcardsim.samples.JavaPurse.JavaPurse

    public class JavaPurse

extends Applet

This class is intended to demonstrate how an electronic cash application might be developed using Java Card

See Java Card(TM) Development Kit User's Guide for details.

Constructor Summary
`protected` | `JavaPurse(byte[] bArray, short bOffset, byte bLength)` Performs memory allocations, initialization, and applet registration.

Method Summary
`void` | `deselect()` Performs the session finalization.
`static void` | `install(byte[] bArray, short bOffset, byte bLength)` Installs Java Purse applet.
`void` | `process(APDU apdu)` Dispatches APDU commands.

Methods inherited from class javacard.framework.Applet
`getShareableInterfaceObject, register, register, select, selectingApplet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaPurse

    protected JavaPurse(byte[] bArray,
                        short bOffset,
                        byte bLength)

  Performs memory allocations, initialization, and applet registration.

  Parameters:
    `bArray` - received by install.
    `bOffset` - received by install.
    `bLength` - received by install.

Method Detail

### install

    public static void install(byte[] bArray,
                               short bOffset,
                               byte bLength)

  Installs Java Purse applet.

  Parameters:
    `bArray` - install parameter array.
    `bOffset` - where install data begins.
    `bLength` - install parameter data length.

### deselect

    public void deselect()

  Performs the session finalization.

  Overrides:
    `deselect` in class `Applet`

### process

    public void process(APDU apdu)

  Dispatches APDU commands.

  Specified by:
    `process` in class `Applet`
  Parameters:
    `apdu` - APDU object
  See Also:
    `APDU`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD